%define major		1
%define libname		%mklibname forensic1394_ %{major}
%define develname	%mklibname forensic1394 -d 

Name: 		libforensic1394
Version: 	0.2
Release:	%mkrel 13
Summary: 	Library for memory forensics over the IEEE 1394 interface
License:	LGPL
Group:		Development/C
URL:		http://freddie.witherden.org/tools/libforensic1394/
Source:		http://freddie.witherden.org/tools/libforensic1394/releases/libforensic1394-%{version}.tar.gz
Patch0:		libforensic1394-0.2-no-hardcoded-installation-path.patch
BuildRequires:	cmake
BuildRequires:	doxygen

%description
An open source (GNU LGPLv3+) library for performing live memory forensics over
the IEEE 1394 (“FireWire”) interface. Currently supported under GNU/Linux and
Mac OS X, libforensic1394 improves upon existing libraries by providing a
simple and clean interface to the the direct memory access functionality
available over FireWire. In addition to a C API Python bindings are also
available.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C

%description -n	%{libname}
Libraries for %{name}.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	forensic1394 = %{version}-%{release}
BuildRequires:	python

%description -n	%{develname}
Header files and development libraries for %{name}.

%package -n python-forensic1394
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release} 
BuildRequires:	python

%description -n python-forensic1394
Python bindings for %{name}.

%package -n python3-forensic1394
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release} 
BuildRequires:	python3

%description -n python3-forensic1394
Python 3 bindings for %{name}.

%prep
%setup -q
%patch0 -p1

cp -pr python python3

%build
%cmake -G"Unix Makefiles" -DFORENSIC1394_BUILD_STATIC:BOOL=OFF
%make
cd ..

pushd python
python setup.py build
popd

pushd python3
python3 setup.py build
popd

pushd docs
doxygen
popd

%install
%make_install -C build

pushd python
python setup.py install --root %{buildroot}
popd

pushd python3
python3 setup.py install --root %{buildroot}
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 AUTHORS COPYING COPYING.LESSER README \
    %{buildroot}%{_docdir}/%{name}
cp -pr docs/docs/html %{buildroot}%{_docdir}/%{name}

%files -n python-forensic1394
%{python2_sitelib}/forensic1394
%{python2_sitelib}/Forensic1394-0.1-py%{python2_version}.egg-info

%files -n python3-forensic1394
%{python3_sitelib}/forensic1394
%{python3_sitelib}/Forensic1394-0.1-py%{python3_version}.egg-info

%files -n %{libname}
%doc README
%{_libdir}/libforensic1394.so.%{version}.0
%{_libdir}/libforensic1394.so.%{major}

%files -n %{develname}
%{_docdir}/%{name}
%{_includedir}/forensic1394.h
%{_libdir}/libforensic1394.so



%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.2-13.mga6
+ Revision: 955459
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.2-12.mga6
+ Revision: 887991
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.2-11.mga5
+ Revision: 742022
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2-10.mga5
+ Revision: 726717
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2-9.mga5
+ Revision: 681461
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.2-8.mga5
+ Revision: 629683
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.2-7.mga5
+ Revision: 628294
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2-6.mga4
+ Revision: 542651
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.2-5.mga4
+ Revision: 497866
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.2-4.mga3
+ Revision: 357120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 28 2012 guillomovitch <guillomovitch> 0.2-3.mga3
+ Revision: 215824
- fix library package name
- fix python bindings dependencies
- don't ship README file in unversionned path in library package

* Tue Feb 21 2012 guillomovitch <guillomovitch> 0.2-2.mga2
+ Revision: 211467
- provide bindings for python3 too

* Wed Feb 15 2012 guillomovitch <guillomovitch> 0.2-1.mga2
+ Revision: 209328
- imported package libforensic1394


* Wed Feb 15 2012 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1.mga2
- first mageia release
